TEXI2HTML(1)

NAME
texi2html - a Texinfo to HTML converter

SYNOPSIS
texi2html [options] file

texi2html -check [-verbose] files

DESCRIPTION
Texi2html converts the given Texinfo file to a set of HTML files. It tries to handle most of the Texinfo commands. It creates hypertext links for cross-references, footnotes...

It also tries to add links from a reference to its corresponding entry in the bibliography (if any). It may also handle a glossary (see the -glossary option).

Texi2html creates several files depending on the contents of the Texinfo file and on the chosen options (see FILES).

The HTML files created by texi2html are closer to TeX than to Info, that's why texi2html converts @iftex sections and not @ifinfo ones by default. You can reverse this with the -expandinfo option.

OPTIONS

-check
    Check the given file and give the list of all things that may be Texinfo commands. This may be used to check the output of texi2html to find the Texinfo commands that have been left in the HTML file.

-expandinfo
    Expand @ifinfo sections, not @iftex ones.

-glossary
    Use the section named 'Glossary' to build a list of terms and put links in the HTML document from each term toward its definition.

-invisible name
    Use name to create invisible destination anchors for index links. This is a workaround for a known bug of many WWW browsers, including xmosaic.

-I dir
    Look also in dir to find included files.

-menu
    Show the Texinfo menus; by default they are ignored.

-monolithic
    Output only one file, including the table of contents and footnotes.

-number
    Number the sections.

-split_chapter
    Split the output into several HTML files (one per main section: chapter, appendix...).

-split_node
    Split the output into several HTML files (one per node).

-usage
    Print usage instructions, listing the current available command-line options.

-verbose
    Give a verbose output. Can be used with the -check option.

FILES
By default texi2html creates the following files (foo being the name of the Texinfo file):

foo_toc.html
    The table of contents.

foo.html
    The document's contents.

foo_foot.html
    The footnotes (if any).

When used with the -split option, it creates several files (one per chapter or node), named foo_n.html (n being the indice of the chapter or node), instead of the single foo.html file.

When used with the -monolithic option, it creates only one file: foo.html

VARIABLES
texi2html predefines the following variables: html, texi2html.

ADDITIONAL COMMANDS
texi2html implements the following non-Texinfo commands:

@ifhtml
    This indicates the start of an HTML section, this section will passed through without any modofication.

@end ifhtml
    This indcates the end of an HTML section.

VERSION
This is texi2html version 1.51, 09/10/96.

The latest version of texi2html can be found in WWW, cf. URL http://wwwcn.cern.ch/dci/texi2html/

AUTHOR
The main author is Lionel Cons, CERN CN/DCI/UWS, Lionel.Cons@cern.ch. Many other people around the net contributed to this program.

COPYRIGHT
This program is the intellectual property of the European Laboratory for Particle Physics (known as CERN). No guarantee whatsoever is provided by CERN. No liability whatsoever is accepted for any loss or damage of any kind resulting from any defect or inaccuracy in this information or code.

CERN, 1211 Geneva 23, Switzerland

SEE ALSO
GNU Texinfo Documentation Format, HyperText Markup Language (HTML), World Wide Web (WWW).

BUGS
This program does not understand all Texinfo commands (yet).

TeX specific commands (normally enclosed in @iftex) will be passed unmodified.